-- phpMyAdmin SQL Dump
-- version 4.5.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Aug 15, 2016 at 06:16 PM
-- Server version: 5.7.11
-- PHP Version: 5.6.19

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `cinema`
--

-- --------------------------------------------------------

--
-- Table structure for table `actors`
--

CREATE TABLE `actors` (
  `id` int(3) NOT NULL,
  `fname` varchar(20) NOT NULL,
  `lname` varchar(20) NOT NULL,
  `date_of_birth` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `actors`
--

INSERT INTO `actors` (`id`, `fname`, `lname`, `date_of_birth`) VALUES
(5, 'Dragan', 'Nikolić', '1950'),
(6, 'Milena', 'Dravić', '1945'),
(7, 'Dragan', 'Bjelogrlić', '1960'),
(9, 'Nikola', 'Kojo', '1966'),
(10, 'Boris', 'Milivojević', '1970'),
(11, 'Marinko', 'Madžgalj', '1977'),
(12, 'Neda', 'Arnerić', '1960'),
(13, 'Sergej', 'Trifunović', '1966');

-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE `categories` (
  `id` int(3) NOT NULL,
  `name` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` (`id`, `name`) VALUES
(14, 'Akcija'),
(17, 'Avantura'),
(8, 'Drama'),
(18, 'Fantazija'),
(5, 'Horor'),
(15, 'Komedija'),
(19, 'Romantika'),
(7, 'Triler');

-- --------------------------------------------------------

--
-- Table structure for table `genres`
--

CREATE TABLE `genres` (
  `id` int(3) NOT NULL,
  `id_movie` int(3) NOT NULL,
  `id_cat` int(3) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `genres`
--

INSERT INTO `genres` (`id`, `id_movie`, `id_cat`) VALUES
(45, 17, 14),
(46, 17, 8),
(47, 17, 5),
(51, 18, 8),
(52, 18, 15),
(53, 14, 14),
(54, 14, 5),
(72, 21, 17),
(73, 21, 18),
(74, 21, 19),
(75, 12, 8),
(76, 12, 5),
(77, 12, 7);

-- --------------------------------------------------------

--
-- Table structure for table `movies`
--

CREATE TABLE `movies` (
  `id` int(3) NOT NULL,
  `title` varchar(30) NOT NULL,
  `director` varchar(30) NOT NULL,
  `year` varchar(20) NOT NULL,
  `url` varchar(255) NOT NULL,
  `thumbnail` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `movies`
--

INSERT INTO `movies` (`id`, `title`, `director`, `year`, `url`, `thumbnail`, `description`) VALUES
(12, 'Lepa sela lepo gore', 'Srđan Dragojević', '1995', '../projekat/videos/Lepa sela lepo gore najbolje scene.mp4', '../projekat/thumbnails/lepa sela.jpg', 'Lepa sela lepo gore je srpski film Srđana Dragojevića snimljen 1995. godine. Film je inspirisan istinitim događajem, kada je 7 srpskih vojnika drinskog korpusa bilo 9 dana okruženo u 97m dugom tunelu Brodar kod Međeđe u septembru 1992. godine.'),
(14, 'Neprijatelj', 'Dejan Zečević', '2011', '../projekat/videos/Neprijatelj.mp4', '../projekat/thumbnails/neprijatelj.jpg', 'Godina 1995, 7. dan mira nakon potpisivanja Dejtonskog sporazuma. Inženjerska jedinica deminira granicu između Republike Srpske i Federacije Bosne i Hercegovine.'),
(17, 'Pored Mene', 'Stevan Filipović', '2010', '../projekat/videos/PORED MENE - Trejler.mp4', '../projekat/thumbnails/pored mene.jpg', 'Domaći film Stevana Filipovića i produkcijske kuće Hypnopolis prikazan je u okviru programa Pretpremijere i izazvao je veliku pažnju pristunih medija i publike.'),
(18, 'Profesionalac', 'Dušan Kovačević', '2003', '../projekat/videos/Profesionalac-trailer.mp4', '../projekat/thumbnails/profesionalac.jpg', 'Nalazeći se pred sutonom svog života, tajni agent bivše države odlučuje da se ispovedi i to čoveku kojega je tajno pratio, prisluškivao zadnjih 10 godina na svakom koraku.'),
(21, 'Panama', 'Pavle Vučković', '2015', '../projekat/videos/BlackHawk FINAL.mp4', '../projekat/thumbnails/panama.jpg', 'Jovan se između ostalih devojaka viđa sa Majom, koja mu deluje naivno i neiskusno. Postepeno, njeno ambivalentno ponašanje počinje da ga intrigira. Prateći video snimke i “tragove” sa interneta, otkriva naznake Majinog paralelnog života.');

-- --------------------------------------------------------

--
-- Table structure for table `roles`
--

CREATE TABLE `roles` (
  `id` int(3) NOT NULL,
  `id_actor` int(3) NOT NULL,
  `id_movie` int(3) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `roles`
--

INSERT INTO `roles` (`id`, `id_actor`, `id_movie`) VALUES
(46, 7, 17),
(47, 10, 17),
(50, 10, 18),
(51, 11, 18),
(52, 12, 18),
(65, 6, 21),
(66, 7, 21),
(67, 13, 21),
(68, 7, 12),
(69, 9, 12);

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(3) NOT NULL,
  `fname` varchar(20) NOT NULL,
  `lname` varchar(30) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `fname`, `lname`, `username`, `password`) VALUES
(15, 'Marko', 'Markovic', 'marko', '26c7c9089e23c14396410bbc6675dbdf'),
(16, 'Petar', 'Petrovic', 'pero', '1427941e3c8ed95d2bea3f9610ae4e1f'),
(17, 'ff', 'ff', 'ff', '633de4b0c14ca52ea2432a3c8a5c4c31'),
(18, 'i', 'i', 'i', '865c0c0b4ab0e063e5caa3387c1a8741');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `actors`
--
ALTER TABLE `actors`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`);

--
-- Indexes for table `categories`
--
ALTER TABLE `categories`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Indexes for table `genres`
--
ALTER TABLE `genres`
  ADD PRIMARY KEY (`id`),
  ADD KEY `genres_ibfk_1` (`id_movie`),
  ADD KEY `genres_ibfk_2` (`id_cat`);

--
-- Indexes for table `movies`
--
ALTER TABLE `movies`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `roles`
--
ALTER TABLE `roles`
  ADD PRIMARY KEY (`id`),
  ADD KEY `roles_ibfk_1` (`id_actor`),
  ADD KEY `roles_ibfk_2` (`id_movie`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `username` (`username`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `actors`
--
ALTER TABLE `actors`
  MODIFY `id` int(3) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;
--
-- AUTO_INCREMENT for table `categories`
--
ALTER TABLE `categories`
  MODIFY `id` int(3) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=23;
--
-- AUTO_INCREMENT for table `genres`
--
ALTER TABLE `genres`
  MODIFY `id` int(3) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=78;
--
-- AUTO_INCREMENT for table `movies`
--
ALTER TABLE `movies`
  MODIFY `id` int(3) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;
--
-- AUTO_INCREMENT for table `roles`
--
ALTER TABLE `roles`
  MODIFY `id` int(3) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=70;
--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(3) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=19;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `genres`
--
ALTER TABLE `genres`
  ADD CONSTRAINT `genres_ibfk_1` FOREIGN KEY (`id_movie`) REFERENCES `movies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `genres_ibfk_2` FOREIGN KEY (`id_cat`) REFERENCES `categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `roles`
--
ALTER TABLE `roles`
  ADD CONSTRAINT `roles_ibfk_1` FOREIGN KEY (`id_actor`) REFERENCES `actors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `roles_ibfk_2` FOREIGN KEY (`id_movie`) REFERENCES `movies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
