<?php
session_start();
// startovanje sesije i redirekcija ukoliko korisnik nije ulogovan
if(empty($_SESSION['username'])){
    header('Location:index.php');
}
?>
<!-- pozivanje header.php fajla-->
<?php include 'header.php'; ?>

    <div class="container">

        <div class="row content">
            <div class="col-md-4 col-sm-12">
                <h2>Lista glumaca</h2><br>
                <?php
                // selektovanje glumaca iz baze
                $query=$conn->query('SELECT * FROM actors');
                // ispis glumaca u listu
                while($r=$query->fetch(PDO::FETCH_OBJ)){ ?>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <?php echo $r->fname.' '.$r->lname.' '.$r->date_of_birth;?>
                               <a class="pull-right text-danger" href="actDelete.php?idDelete=<?php echo $r->id;?>"> Obriši</a>
                        </li>
                    </ul>

                <?php } ?>

            </div>
            <div class="col-md-4 col-sm-12 col-md-offset-2">
                <h2>Dodaj glumca</h2>
                <form action="actAdd.php" method="post">
                    <div class="form-group">
                        <label for="f">Ime</label>
                        <input type="text" name="fname" class="form-control" id="f" required/>
                    </div>
                    <div class="form-group">
                        <label for="l">Prezime</label>
                        <input type="text" name="lname" class="form-control" id="l" required/>
                    </div>
                    <div class="form-group">
                        <label for="d">Datum rođenja</label>
                        <input type="text" name="dateOfB" class="form-control" id="d" required/>
                    </div>
                    <!--  ispis poruke ukoliko postoji greska  -->
                    <?php if(isset($_GET['msg'])) echo $_GET['msg']; ?>
                    <div class="form-gorup">
                        <input type="submit" class="btn btn-default" value="Dodaj"/>
                    </div>
                </form>
            </div>

        </div>
    </div>
<!--pozivanje footer.php fajla-->
<?php include 'footer.php'; ?>