<?php
session_start();
// startovanje sesije i redirekcija ukoliko korisnik nije ulogovan
if(empty($_SESSION['username'])){
    header('Location:index.php');
}
?>
<?php include 'header.php'; ?>

    <div class="container">
        <div class="row content">
            <div class="col-xs-4">
                <h2>Lista kategorija</h2><br>
                <?php
                // selektovanje kategorija
                $query=$conn->query('SELECT * FROM categories');
                // kreiranje liste kategorija
                while($r=$query->fetch(PDO::FETCH_OBJ)){ ?>
                    <ul class="list-group">
                        <li class="list-group-item"><?php echo $r->name;?>
                            <a class="text-danger pull-right" href="catDelete.php?idDelete=<?php echo $r->id;?>"> Obriši</a>
                        </li>
                    </ul>
                <?php } ?>

            </div>
            <div class="col-xs-4 col-xs-offset-2">
                <h2>Dodaj kategoriju</h2>
                <form action="catAdd.php" method="post">
                    <div class="form-group">
                        <label for="c">Ime</label>
                        <input type="text" name="catIn" class="form-control" id="c" required/>
                    </div>
                    <!--  ispis poruke ukoliko postoji greska  -->
                    <?php if(isset($_GET['msg'])) echo $_GET['msg']; ?>
                    <div class="form-gorup">
                        <input type="submit" class="btn btn-default" value="Dodaj"/>
                    </div>
                </form>
            </div>

        </div>
    </div>

<?php include 'footer.php'; ?>