<?php
session_start();
include 'header.php';

$actor = null;
$category = null;
$videos= [];

if(isset($_GET['actor'])){

    $actor=$_GET['actor'];
    // ako je prosledjen id glumca traze se filmovi sa tim glumcom
    $query = $conn->query("SELECT m.title, m.year, m.id, m.thumbnail FROM movies m JOIN roles r ON m.id=r.id_movie JOIN actors a ON r.id_actor=a.id WHERE a.id=$actor");
    while($r=$query->fetch(PDO::FETCH_OBJ)){
        array_push($videos,$r);
    }
}


if(isset($_GET['category'])) {
    $category = $_GET['category'];
    // ako je prosledjen id kategorije traze se filmovi za tu kategriju
    $query = $conn->query("SELECT m.title, m.year, m.id, m.thumbnail FROM movies m JOIN genres g ON m.id=g.id_movie JOIN categories c ON g.id_cat=c.id WHERE c.id=$category");
    while ($r = $query->fetch(PDO::FETCH_OBJ)) {
        array_push($videos, $r);
    }
}

if(isset($_GET['year'])) {
    $year = $_GET['year'];
    // ako je prosledjena godina traze se filmovi za tu godinu
    $query = $conn->query("SELECT * FROM movies WHERE year=$year");
    while ($r = $query->fetch(PDO::FETCH_OBJ)) {
        array_push($videos, $r);
    }
}

?>

<div class="container text-center">
    <div class="row content">
        <?php if(count($videos)>0){ // ispis filmova ako su pronadjeni
            foreach($videos as $video) { ?>
                <div class="col-xs-3">
                    <div class="thumbnail thumb">
                        <a href="watch.php?v=<?= $video->id ?>" class="title"><p><strong><?= $video->title; ?></strong></p></a>
                        <a href="watch.php?v=<?= $video->id ?>"><img src="<?= $video->thumbnail ?>"></a>
                        <br>
                        <p class="text-left"><span class="glyphicon glyphicon-calendar"></span> <?= $video->year; ?></p>
                    </div>
                </div>
            <?php }
        } else { ?>
            <div class="alert alert-info">Ne postoje filmovi za dati kriterijum.</div>
        <?php } ?>

    </div>
</div>

<?php include 'footer.php'; ?>
