<?php

session_start();
// startovanje sesije i redirekcija ukoliko korisnik nije ulogovan
if(empty($_SESSION['username'])){
    header('Location:index.php');
}
include 'connectPDO.php';

$title=$_POST['title'];
$director=$_POST['director'];
$year=$_POST['year'];
$desc=$_POST['description'];
$catCheck=array();
$catCheck=$_POST['catCheck'];
$actors=array();
$actors=$_POST['actors'];

if(isset($_POST['upload'])) {
    if($title!=null && strlen($title)>0 && $_FILES["movie"]["name"]!=null && $_FILES["thumbnail"]["name"]!=null) {

        // putanja do direktorijuma gde ce se cuvati filmovi
        $movie_dir = "../projekat/videos/";
        // kupljenje prosledjenog filma
        $movie_file = $movie_dir . basename($_FILES["movie"]["name"]);

        // putanja do direktorijuma gde ce se cuvati slike filmova
        $thumb_dir = "../projekat/thumbnails/";
        // kupljenje prosledjene slike
        $thumb_file = $thumb_dir . basename($_FILES["thumbnail"]["name"]);

        // premestanje fajlova u odgovarajuce foldere
        if (move_uploaded_file($_FILES["movie"]["tmp_name"], $movie_file) &&
            move_uploaded_file($_FILES["thumbnail"]["tmp_name"], $thumb_file)
        ) {


            // ako je uspesno premestanje vrsi se unos filma u bazu
            $sql = "INSERT INTO movies(title,director,year,url,thumbnail,description) VALUES(?,?,?,?,?,?)";
            $query = $conn->prepare($sql);
            $query->execute(array($title, $director, $year, $movie_file, $thumb_file, $desc));

            // vracanje id poslednje unetog filma
            $id = $conn->lastInsertId();

            foreach ($catCheck as $c) {
                // povezivanje kategorija i filmova i cuvanje u medju tabelu genres
                $sql1 = "INSERT INTO genres(id_movie,id_cat) VALUES(?,?)";
                $query1 = $conn->prepare($sql1);
                $query1->execute(array($id, $c));
            }


            foreach ($actors as $a) {
                // povezivanje glumaca i filmova i cuvanje u medju tabelu roles
                $sql2 = "INSERT INTO roles(id_actor,id_movie) VALUES(?,?)";
                $query2 = $conn->prepare($sql2);
                $query2->execute(array($a, $id));
            }

            // ako je film uspesno dodat
            header('Location:upload-movie.php?msg=Uspešan unos filma!');
            exit();
        } else {
            // ako je bilo gresaka pri unosu
            header('Location:upload-movie.php?msg=Nažalost, postoji greka prilikom unosa filma.');
            exit();
        }
    }else {
        header('Location:upload-movie.php?msg=Popunite obavezna polja!');
    }
}


