<?php
session_start();

if(!isset($_GET['v'])) { // ako je prosledjen id filma
    header('Location:index.php');
    exit();
}
include 'header.php';

$id=$_GET['v'];

// nalazenje filma sa prosledjenim id-om
$query=$conn->query("SELECT * FROM movies WHERE id=$id");
$video=$query->fetch(PDO::FETCH_OBJ);

if(!$video){ // ako ne postoji film sa prosledjenim id-om
    header('Location:index.php');
    exit();
}

?>

<div class="container">
    <div class="row content">

        <div class="col-md-6">
            <h2 class="text-primary"><?= $video->title ?></h2>
            <!-- video player sa ukljucenim kontrolama  -->
            <video controls>
                <source src="<?= $video->url ?>" type="video/mp4">
            </video>
        </div>

        <div class="col-md-6">
            <div class="well desc">
                <p><b>Godina: </b> <?= $video->year ?></p>
                <p><b>Režiser: </b> <?= $video->director ?></p>
                <p><b>Opis: </b><br> <?= $video->description ?></p>
            </div>
        </div>

    </div>
</div>
<br>

<?php include 'footer.php'; ?>
