<?php
session_start();
// startovanje sesije i redirekcija ukoliko korisnik nije ulogovan
if(empty($_SESSION['username'])){
    header('Location:index.php');
}
include 'connectPDO.php';
//pozivanje konekcije
$catName=$_POST['catIn'];

//provera da li je uneto ime kategorije
if($catName!=null && strlen($catName)>0) {
    try {
        //unos kategorije u bazu
        $sql = "INSERT INTO categories(name) VALUES(?)";
        $query = $conn->prepare($sql);
        $query->execute(array($catName));

        //redirekcija ukoliko je unos uspesan
        header('Location:categories.php');
    }catch(PDOException $e){
        //redirekcija ukoliko je bilo gresaka
        header('Location:categories.php?msg=Kategorija vec postoji!');
    }

}else{
    //redirekcija ako polje nije popunjeno
    header('Location:categories.php?msg=Morate uneti ime!');
}
