<?php
session_start();
// startovanje sesije i redirekcija ukoliko korisnik nije ulogovan
if(empty($_SESSION['username'])){
    header('Location:index.php');
}
//pozivanje konekcije sa bazom
include 'connectPDO.php';

$idDelete=$_GET['idDelete'];

// provera da li je prosledjen id za kategoriju
if($idDelete!=null && strlen($idDelete)>0){
    try {

        //brisanje id kategorije iz medju tabele (genres) koja povezuje movies i categories
        $sql2="DELETE FROM genres WHERE id_cat=?";
        $query2=$conn->prepare($sql2);
        $query2->execute(array($idDelete));

        // brisanje kategorije iz tabele categories
        $sql = "DELETE FROM categories WHERE id=?";
        $query = $conn->prepare($sql);
        $query->execute(array($idDelete));

    }catch(PDOException $Exception){
        // redirekcija ukoliko nastane greska prilikom brisanja
        header('Location:categories.php?msg=Greska prilikom brisanja!');
    }
} else{
    header('Location:categories.php?msg=Pogresan id!');
    //ukoliko nije prosledjen id
}
header('Location:categories.php');
// ukoliko je uspesno obrisana kategorija
