<?php
session_start();
// startovanje sesije i redirekcija ukoliko korisnik nije ulogovan
if(empty($_SESSION['username'])){
    header('Location:index.php');
}
include 'connectPDO.php';

// provera da li je prosledjen parametar id
if(!isset($_GET['id'])) {
    //ako nije redirektuje se na select-movie.php
    header('Location:select-movie.php');
    exit();
}

//ako jeste kreira se promenljiva i selektuje video iz baze sa tim id-om
$id=$_GET['id'];

$query=$conn->query("SELECT * FROM movies WHERE id=$id");
$video=$query->fetch(PDO::FETCH_OBJ);
if(!$video){
    header('Location:select-movie.php');
    exit();
    // redirekcija ukoliko ne postoji video
}

try {
    // brisanje videa iz foldera
    if (!unlink($video->url)) {
        echo("Error deleting $video->url");
    } else {
        echo("Deleted $video->url");
    }
}catch(PDOException $e){
    echo $e;
}

// brisanje videa iz baze
$sql="DELETE FROM movies WHERE id=?";
$query=$conn->prepare($sql);
$query->execute(array($id));

// redirekcija na select-movie.php ako je video uspesno obrisan
header('Location:select-movie.php');