<?php
include 'connectPDO.php';
session_start();
// startovanje sesije i redirekcija ukoliko korisnik nije ulogovan
if(empty($_SESSION['username'])){ header('Location:index.php'); } ?>

<?php include 'header.php'; ?>

<div class="container">
    <div class="row">
        <div class="col-md-4 col-sm-12">
            <h2>Unos filma</h2><br>
            <?php if(isset($_GET['msg'])) echo $_GET['msg']; ?>
            <form action="upload.php" method="post" enctype="multipart/form-data" >

                <div class="form-group">
                    <label for="tt">Naslov <span class="text-danger">*</span> </label>
                    <input type="text" name="title" class="form-control" id="tt" required/>
                </div>
                <div class="form-group">
                    <label for="dr">Režiser</label>
                    <input type="text" name="director" class="form-control" id="dr" />
                </div>
                <div class="form-group">
                    <label for="y">Godina</label>
                    <input type="number" name="year" class="form-control" id="y" min="0" max="2016"/>
                </div>
                <div class="form-group">
                    <label for="comment">Opis</label>
                    <textarea class="form-control" rows="5" id="comment" name="description"></textarea>
                </div>
                <div class="form-group">
                    <label for="thumbnail">Izaberi sliku <span class="text-danger">*</span></label>
                    <input type="file" name="thumbnail" id="thumbnail" required>
                </div>
                <div class="form-group">
                    <label for="movie">Izaberi film<span class="text-danger">*</span></label>
                    <input type="file" name="movie" id="movie" required>
                </div>
                <label>Izbor kategorija</label>

                <?php
                // selektovanje svih kategorija i kreiranje checkbox-ova
                $query=$conn->query('SELECT * FROM categories');
                while($r=$query->fetch(PDO::FETCH_OBJ)){ ?>
                    <div class="checkbox">
                        <label><input type="checkbox" name="catCheck[]" value="<?php echo $r->id;?>"><?php echo $r->name;?></label>
                    </div>
                <?php } ?>


                <label for="sel2">Izbor glumaca</label><br><em>Držite Ctrl kako biste izabrali više od jednog:</em>
                <select multiple class="form-control" id="sel2" name="actors[]" size="10">
                    <?php
                    // selektovanje svih glumaca i kreiranje option select liste
                    $query2=$conn->query('SELECT * FROM actors');
                    while($r=$query2->fetch(PDO::FETCH_OBJ)){ ?>
                        <option value="<?php echo $r->id?>"><?php echo $r->fname.' '.$r->lname?></option>
                    <?php } ?>

                </select>
                <br>

                <div class="form-gorup">
                    <input type="submit" class="btn btn-info" value="Unesi film" name="upload"/>
                </div>

            </form>
        </div>

        <div class="col-md-4 col-sm-12 col-md-offset-2">
            <h2>Upravljanje</h2>
            <ul class="list-group">
                <a href="categories.php"><li class="list-group-item"> Kategorije</li></a>
                <a href="actors.php"><li class="list-group-item"> Glumci</li></a>
                <a href="select-movie.php"><li class="list-group-item">Izmena filma</li></a>
            </ul>
        </div>

    </div>
</div>
<br><br>

<?php include 'footer.php'; ?>
